PCI Express Automated Testing

The N5393B automated test application for PCI Express provides a framework for using Agilent Infiniium oscilloscopes to perform compliance testing. The automated test application guides you through the process of selecting and configuring tests, making oscilloscope connections, running tests, and evaluating the test results.

The PCI Express automated test application requires:

  • N5393B PCI Express Automated Test Application software.

  • Version 05.40 or greater of Infiniium software (54855A and 80000B series Infiniium Digital Storage Oscilloscope) OR

  • Version 1.0 of the baseline software (90000A series Infiniium Digital Storage Oscilloscope).

  • 54855A Infiniium Digital Storage Oscilloscope (minimum requirement for PCI Express 1.0a, PCI Express 1.1 and Express Card 1.0 only) OR

  • 80000B Series Infiniium Digital Storage Oscilloscope OR

  • 90000A Series Infiniium Digital Storage Oscilloscope.

  • The E2688A Serial Data Analysis and Clock Recovery software (for clock recovery).

  • Keyboard, qty = 1, (provided with the Agilent 54855A and 80000B series oscilloscopes).

  • Mouse, qty = 1, (provided with the Agilent 54855A and 80000B series oscilloscopes).

  • Precision 3.5 mm BNC to SMA male adapter, Agilent p/n 54855-67604, qty = 2 (provided with the Agilent 54855A and 80000B series oscilloscopes).

  • 50-ohm Coax Cable with SMA Male Connectors – 24-inch or less RG-316/U or similar, qty = 2, matched length.

  • Agilent also recommends using a second monitor to view the automated test application.

  • Probes and/or test fixtures.

To use the automated test application, see:

  • Starting the PCI Express Automated Test Application

    • To view/minimize the task flow pane

    • To view/hide the toolbar

  • Creating or Opening a Test Project

  • Setting Up Tests

  • Selecting Tests

  • Configuring Tests

  • Connecting the Oscilloscope to the DUT

  • Running Tests

  • Viewing Test Results

    • To show reference images and flash mask hits

    • To change margin thresholds and report trial display

    • To change the auto-recovery option

    • To change the display settings

  • Viewing/Printing the HTML Test Report

  • Saving Test Projects

For more information on performing PCI Express compliance tests, see:

  • PCI Express Compliance Testing Methods of Implementation


Running the Automated Test Application on a Second Monitor

A second monitor can be used to display the automated test application, allowing you to view the oscilloscope while using the application. You need to connect a second monitor to the video port labeled Second Monitor on the rear panel of the oscilloscope and not to the port labeled VGA. (The VGA output is only used to display the screen of the oscilloscope on the external monitor.)

Before starting the automated test application, you should be sure that the second monitor is properly configured:

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Select Display.

  5. Select the Settings tab.

  6. Select monitor two and set the Screen resolution and Color quality for your monitor.

  7. Enable the Extend my Windows desktop onto this monitor control.

  8. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.

See Also

  • PCI Express Automated Testing


Starting the PCI Express Automated Test Application

  1. From the Infiniium oscilloscope's main menu, choose Analyze>Automated Test Apps>PCI Express Test.

  2. The PCI Express automated test application window appears.

See Also

  • To view/minimize the task flow pane

  • To view/hide the toolbar

  • Creating or Opening a Test Project


To view/minimize the task flow pane

  • To toggle between a minimized and restored task flow pane, choose View>Task Flow from the menu.

  • To minimize the task flow pane, click the minimize button in the pane.

  • To restore a minimized task flow pane, click the Task Flow button in the pane.

See Also

  • Starting the PCI Express Automated Test Application


To view/hide the toolbar

  • To toggle between a hidden and visible toolbar, choose View>Toolbar from the menu.

See Also

  • Starting the PCI Express Automated Test Application


Creating or Opening a Test Project

To create a new test project:

  1. Choose File>New Project... from the menu.

To open an existing test project:

  1. Choose File>Open Project... from the menu.

  2. In the Open dialog, browse to a test project directory and select the desired ".proj" file.

  3. Click Open.

See Also

  • Setting Up Tests


Setting Up Tests

The Set Up tab is used to:

  • Select the PCI Express device being tested.

  • Select the type of test points being probed.

  • Select the type of reference clock being used.

  • Select the type of de-emphasis mode being used.

  • Select the type of data rate being used.

  • Provide additional test report comments and information.

Device

This can be used to determine the PCI Express standard that you are testing. Changing the test standard affects the number of tests that appear in the Select Tests tab.

Test Point

This allows you to select the tests within the selected PCI Express standard that you are testing. The availability of choices for this options corresponds to the selection of 'Device' option. For example, if PCIE 2.0 is selected as the test device, there will be 4 available test points - Transmitter Tests, Receiver Tests, Add-In Card Tests and System Board Tests. Changing the tests selection affects the number of tests that appear in the Select Tests tab.

Reference Clock

This allows you to select the type of clock being used to perform the data recovery.

SSC | Uses the Spread Spectrum Clock recovery method.
Clean Clock | A Clean Clock, such as the clock produced by a high quality function generator, is used as the clock recovery method.

A clean reference clock can be obtained from the CCB test fixture. For Add-In Card Tests, this option is always set to 'Clean Clock'. A motherboard system would normally have a SSC driven clock signal. Therefore, its common to have 'SSC' option selected when performing the System Board Tests.

De-Emphasis Mode

This selection is only applicable for PCIE 2.0. It allows you to select the tests within the selected de-emphasis mode. Changing the tests selection affects the test limits that appear in the Select Tests tab.

Data Rate

This selection is only applicable for PCIE 2.0. It allows you to select the tests within the selected data rate.

Test Report Comments

  • Device ID - This allows you to select the device identifier which appears in the Html Report and does not affect the tests being run.

  • Device Type - This allows you to select the device type being tested which appears in the Html Report and does not affect the tests being run.

  • Number of Lanes - This allows you to select the number of lanes being tested which only appears in the Html Report and does not affect the tests being run.

  • User Comments - This allows you to add your comments to the Html Report.

See Also

  • Selecting Tests


Selecting Tests

  1. Click the Select Tests tab, or click the Select Tests box in the Task Flow pane.

  2. Check the tests that you want to run.

NOTE:

The tests that appear on the Select Tests tab are determined by the choices selected on the Set Up tab. The test list gets rebuilt each time the selection at the Set Up page changes.

Some things to note:

  • Checking a parent node/group will check all available sub-groups or tests.

  • Un-checking a parent node/group will un-check all sub-groups or tests.

  • A parent node is checked if all subgroups are checked.

  • A parent node is un-checked if ANY subgroup is un-checked.

Clicking the Right Mouse Button

When you click the right mouse button on the tests pane, it produces a pop-up menu containing some shortcuts for selecting and de-selecting tests.

When Tests Are Unavailable

Common mode tests can become unavailable (and be automatically unchecked) when you choose certain configuration settings. For example, selecting Differential Probe connection for Receiver (Rx) Tests, disables all Common Mode tests of the Receiver Tests. Attempt to select the disabled tests prompts you an error message, as shown below:

When Tests Have Already Been Run

If tests have already been run, you will see their status in the Select Tests tab.

The marks have the following meanings:

The test passed.

The test failed.

The test has not been run, or no tests in the group have been run.

The test is currently running.

Some tests in the group have run and passed.

Some tests in the group have run and failed.

Some tests in the group have passed and some have failed; not all of the tests have been run.

Some tests in the group have passed and some have failed; all of the tests have run.

All tests in the group have run and passed.

All tests in the group have run and failed.

See Also

  • PCI Express Compliance Testing Methods of Implementation


Configuring Tests

  1. Click the Configure tab, or click the Configure box in the Task Flow pane.

  2. You are allowed to change the configuration of the Compliance Mode and the Debug Mode here. Select your preferred mode and the test list changes according to your selection.

    • Compliance Mode - lets you choose the configuration options necessary to meet the compliance standard tests.

    • Debug Mode - lets you modify the configuration options. This can be useful, for example, when investigating a test failure.

  3. Select the bulleted item for the option you want to configure and enter your settings. A description of the selected configuration item appears in the lower, right part of the application window. Note that you can also enter values in some of the drop-down selection fields. Entered values are checked for validity.

HINT:

  • A quick way to see the Debug Mode configuration option values that are used in the Compliance Mode is to switch from Compliance Mode to Debug Mode.

  • A quick way to reset all the Debug configuration options is to switch from Debug Mode to Compliance Mode.

  • A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

  • Connecting the Oscilloscope to the DUT


Connecting the Oscilloscope to the DUT

  1. Click the Connect tab, or click the Connect box in the Task Flow pane.

  2. Follow the displayed instructions for connecting the oscilloscope to the device under test.

  3. When connections to the device under test have been made, check the I have completed these instructions box.

See Also

  • PCI Express Compliance Testing Methods of Implementation (for connection information)
  • Running Tests


Running Tests

NOTE:

You should allow the oscilloscope to warm-up at least 30 minutes before running any measurement tests.

ADVICE:

It is a good idea to calibrate the oscilloscope at least once a year or when the Calibration DTemp is greater than ±5 °C. The Calibration DTemp is found in the Help>About Infiniium... menu on the Infiniium oscilloscope.

  1. To run all selected tests, click Run Tests in the Task Flow pane or click [image] in the toolbar.

    To run a selected branch of tests, select the branch in the Select Tests tab; then click [image] in the toolbar.

By default, one trial is performed for each test. However, you can increase the number of trials by checking the Enable checkbox and entering the desired number of trials in the Number of Runs box and click Run Selected Tests to start the multi-trial tests.

  2. If there are existing test results, you are asked if you would like to keep them or re-test (delete) them.

If you would like to keep the existing test results, to compare against new results, select Append New "Trial" Results.

Select Replace the Existing Results if you would like to delete the existing test results.

  3. While the tests are running, status dialog appear to inform you about the test progress.

  3. When the tests are complete, click OK.

See Also

  • Viewing Test Results


Viewing Test Results

  1. Click [image] in the toolbar, or click the Results tab.

  2. In general, the Results tab contains three resizable panes. The top pane lists the tests that were performed and the summary of the tests. If you select one of the tests in the top pane, the details and the reference images (if any) are shown in the lower panes.

  3. The summary of the test trial is displayed in the bottom left pane. It also shows the Worst Trial and has links to the trial display option where you can modify the information displayed.

  4. The bottom right pane may have several tabs, depending on the Report Preferences configuration. If more than one trial is selected, then the first tab will be the Summary tab. It shows the summary of all the test trials. A maximum of 25 trials can be displayed at any one time.

  5. If the worst first is selected as the trial display option, the Worst Trial will be the next tab after the Summary tab, followed by other trials in order of trial performance.

  6. The reference images appears in the bottom right pane for the selected trials. See To show reference images and flash mask hits for more details on reference images.

HINT:

  • A quick way to reset all configuration options and delete all test results is to create a new project. The new project will have default configuration options.

See Also

  • To show reference images and flash mask hits

  • To change the margin thresholds and report trial display

  • To change the auto-recovery option

  • To change the display settings

  • Viewing/Printing the HTML Test Report


To show reference images and flash mask hits

  1. In the Results tab, click in the Reference Images pane.

    This opens the ShowImage dialog.

    In the ShowImage dialog, you can:

    • Click the [image] flash red pixels button to highlight the points of failure.

    • Click the [image] zoom in or [image] zoom out buttons to resize the dialog.

  2. Click the [image] close button to close the ShowImage dialog.

See Also

  • To change margin thresholds and report trial display

  • To change the auto-recovery option

  • To change the display settings

  • Viewing/Printing the HTML Test Report


To change the margin thresholds and report trial display

  1. From the PCI Express automated test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

    Or, when viewing the Results tab, click Modify...

  2. In the Report tab, at the Margin Reporting category, you can:

    • Enable or disable margin reporting.

    • You can change the percent of margin at which to give warnings or critical failures.

  3. At the Trial display category, you can:

    • Change the view of the test result: You can view up to 25 worst trials at one time.

    • Order trial details chronologically or by worst trial first.

    • View images for up to 25 worst trials.

  4. Click OK to save and close the Preferences dialog.

See Also

  • To show reference images and flash mask hits

  • To change the auto-recovery option

  • To change the display settings

  • Viewing/Printing the HTML Test Report


To change the auto-recovery option

  1. From the PCIE Express automated test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

    Or, when viewing the Results tab, click Modify...

  2. In the Save/Load tab, you can choose to restore saved test selections when loading a project.

  3. At the AutoRecovery category, you can choose one of the below options:

  • To save the sub-trials results even if the entire multi-trial is not completed. This option enables full recovery.

  • To save the results only if the entire multi-trial is completed.

  4. Click OK to save and close the Preferences dialog.

See Also

  • To show reference images and flash mask hits

  • To change the margin thresholds and report trial display

  • To change the display settings

  • Viewing/Printing the HTML Test Report


To change the display settings

  1. From the DisplayPort Compliance Test application's menu, choose View>Preferences....

    Or, when viewing the Results tab, click [image] in the toolbar.

    Or, when viewing the Results tab, click Modify...

  2. In the Display tab, you can choose to show the below message dialogs:

    • Information dialogs.

    • Warning dialogs.

    • Error dialogs.

    • Log events.

  3. You can choose to invert the scope display for screenshots.

  4. You can also keep the application and mid-run dialogs on top of the screen.

  5. Click OK to save and close the Preference dialog.

See Also

  • To show reference images and flash mask hits

  • To change the margin thresholds and report trial display

  • To change the auto-recovery option

  • Viewing/Printing the HTML Test Report


Viewing/Printing the HTML Test Report

  1. To view the HTML test report, click the HTML Report tab.

  2. To preview the HTML test report printout, click [image] or choose File>Print Preview... from the menu.

  3. To print the HTML test report, click [image] or choose File>Print... from the menu.

See Also

  • Saving Test Projects


Saving Test Projects

To save test settings and results to the current project directory:

  1. Choose File>Save Project from the menu.

To save test settings and results to a new project directory:

  1. Choose File>Save Project As... from the menu.

  2. In the Save Project As... dialog, enter the device name and location.

    Project files will be saved in a directory whose name is the device name.

  3. Click OK.

See Also

  • PCI Express Compliance Testing Methods of Implementation


Analysis Software Setup

E2688A Serial Data Analysis and Clock Recovery Software

The PCI Express base specification contains the description of the compliance test which defines how Time Interval Error (TIE) data is to be measured. Infiniium uses this method to measure and compute the statistics for the TIE Data measurement when the PCI Express (PCI SIG) clock recovery method is selected.

EZJIT Jitter Analysis Option

When PCI Express is selected, the Meas Histogram, Meas Trend, and Jitter Spectrum features are disabled in the Analyze Jitter dialog box. The Analyze Jitter dialog box is only available when the option is installed.

The SSC control should be used when the serial data has a spread spectrum clock embedded.


Configuring a Second Monitor1

Configuring a Second Monitor

A second monitor can be used to display the application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Exit the oscilloscope application, and click on the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. Select Appearance and Themes.

  4. Select Display.

  5. Select the Settings tab.

  6. Select monitor two and set the Screen resolution and Color quality for your monitor.

  7. Enable the Extend my Windows desktop onto this monitor control.

  8. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.


Configuring a Second Monitor2

Configuring a Second Monitor

When you select the Display Properties button in the User Preferences dialog box, one of two possible dialog boxes will appear depending on the model number of the oscilloscope that you are using. These two dialog boxes are shown below.

Display Properties Dialog Box Intel Display Properties Dialog Box

If you see the Intel Display Properties dialog box, click on the following link for instructions on configuring a second monitor.

Intel Display Properties Dialog Box

Otherwise, click on the following link for instructions.

Display Properties Dialog Box

Extending the Desktop

A second monitor can be used to display other application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop.


Configuring a Second Monitor3

Configuring a Second Monitor

A second monitor can be used to display the application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Select the Primary Device to be Notebook.

  2. Enable the Extended Desktop control.

  3. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extended Desktop control.


Configuring a Second Monitor4

Configuring a Second Monitor

A second monitor can be used to display the application, allowing you to view the scope while using the application. You need to connect a second monitor to the video port labeled Video on the rear panel of the scope before configuring the extended desktop. Use the following instructions to configure a second monitor.

  1. Select the Settings tab.

  2. Select monitor two and set the Screen resolution and Color quality for your monitor.

  3. Enable the Extend my Windows desktop onto this monitor control.

  4. Click OK to apply these changes and close the Display Properties dialog box.

Once the second monitor is configured, moving the mouse off of the oscilloscope screen will cause the mouse to be displayed on the second monitor. If you want to stop using the second monitor, you should disable the Extend my Windows desktop onto this monitor control.


To change the report

To change the report trial display

  1. From the PCI Express automated test application's menu, choose View>Preferences.... Then, in the Preferences dialog, select the Report tab.

Or, when viewing the Results tab, click [image] in the toolbar.

Or, when viewing the Results tab, click Modify...

In the Report tab, you can

    • Change the view of the test result: You can view up to 25 worst trials at one time.

    • Order trial details chronologically or by worst trial first.

    • View images for up to 25 worst trial(s).

  2. Click OK to close the Preferences dialog.

See Also

  • To show reference images and flash mask hits

  • To change margin thresholds

  • To change the auto-recovery option

  • Viewing/Printing the HTML Test Report